Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class QBodyContent

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--javax.servlet.jsp.JspWriter
                  |
                  +--javax.servlet.jsp.tagext.BodyContent
                        |
                        +--com.caucho.jsp.QBodyContent

All Implemented Interfaces:
  ByteWriteStream

public class QBodyContent
extends BodyContent
implements ByteWriteStream

Fields inherited from class javax.servlet.jsp.JspWriter
`autoFlush, bufferSize, DEFAULT_BUFFER, NO_BUFFER, UNBOUNDED_BUFFER`

Fields inherited from class java.io.Writer
`lock`

Method Summary
`void` | `clear()`
`void` | `clearBody()` Clears the contents of a body tag.
`void` | `clearBuffer()`
`void` | `close()`
`void` | `flush()` Flush does nothing for a bodyContent.
`int` | `getBufferSize()`
`JspWriter` | `getEnclosingWriter()` Returns the encloding writer.
`java.io.Reader` | `getReader()` Returns a Reader for accessing the contents of a body tag.
`int` | `getRemaining()`
`java.lang.String` | `getString()` Returns a String representing the contents of a body tag.
`boolean` | `isAutoFlush()`
`void` | `newLine()`
`void` | `print(boolean b)`
`void` | `print(char ch)`
`void` | `print(char[] s)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.Object o)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(boolean b)`
`void` | `println(char ch)`
`void` | `println(char[] s)`
`void` | `println(double d)`
`void` | `println(float f)`
`void` | `println(int i)`
`void` | `println(long l)`
`void` | `println(java.lang.Object o)`
`void` | `println(java.lang.String s)`
`void` | `release()`
`void` | `write(byte[] buf, int off, int len)`
`void` | `write(char[] buf)`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(int i)`
`void` | `write(java.lang.String s)`
`void` | `write(java.lang.String s, int off, int len)`
`void` | `writeOut(java.io.Writer out)` Writes the contents to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getEnclosingWriter

    public JspWriter getEnclosingWriter()

  Description copied from class: `BodyContent`
  Returns the encloding writer. For top-level tags, this will be the JSP page's out. For child tags, this will be the parent's bodyContent.
  Overrides:
    `getEnclosingWriter` in class `BodyContent`

### write

    public final void write(byte[] buf,
                            int off,
                            int len)
                     throws java.io.IOException

  Specified by:
    `write` in interface `ByteWriteStream`

### write

    public final void write(char[] buf,
                            int off,
                            int len)
                     throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`

### write

    public final void write(int i)
                     throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`

### write

    public final void write(char[] buf)
                     throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`

### write

    public final void write(java.lang.String s)
                     throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`

### write

    public final void write(java.lang.String s,
                            int off,
                            int len)
                     throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`

### newLine

    public final void newLine()
                       throws java.io.IOException

  Overrides:
    `newLine` in class `JspWriter`

### print

    public final void print(boolean b)
                     throws java.io.IOException

  Overrides:
    `print` in class `JspWriter`

### print

    public final void print(char ch)
                     throws java.io.IOException

  Overrides:
    `print` in class `JspWriter`

### print

    public final void print(int i)
                     throws java.io.IOException

  Overrides:
    `print` in class `JspWriter`

### print

    public final void print(long l)
                     throws java.io.IOException

  Overrides:
    `print` in class `JspWriter`

### print

    public final void print(float f)
                     throws java.io.IOException

  Overrides:
    `print` in class `JspWriter`

### print

    public final void print(double d)
                     throws java.io.IOException

  Overrides:
    `print` in class `JspWriter`

### print

    public final void print(char[] s)
                     throws java.io.IOException

  Overrides:
    `print` in class `JspWriter`

### print

    public final void print(java.lang.String s)
                     throws java.io.IOException

  Overrides:
    `print` in class `JspWriter`

### print

    public final void print(java.lang.Object o)
                     throws java.io.IOException

  Overrides:
    `print` in class `JspWriter`

### println

    public final void println()
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### println

    public final void println(boolean b)
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### println

    public final void println(char ch)
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### println

    public final void println(int i)
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### println

    public final void println(long l)
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### println

    public final void println(float f)
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### println

    public final void println(double d)
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### println

    public final void println(char[] s)
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### println

    public final void println(java.lang.String s)
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### println

    public final void println(java.lang.Object o)
                       throws java.io.IOException

  Overrides:
    `println` in class `JspWriter`

### clear

    public final void clear()
                     throws java.io.IOException

  Overrides:
    `clear` in class `JspWriter`

### clearBuffer

    public final void clearBuffer()
                           throws java.io.IOException

  Overrides:
    `clearBuffer` in class `JspWriter`

### flush

    public final void flush()
                     throws java.io.IOException

  Description copied from class: `BodyContent`
  Flush does nothing for a bodyContent.
  Overrides:
    `flush` in class `BodyContent`

### close

    public final void close()
                     throws java.io.IOException

  Overrides:
    `close` in class `java.io.Writer`

### getBufferSize

    public final int getBufferSize()

  Overrides:
    `getBufferSize` in class `JspWriter`

### getRemaining

    public final int getRemaining()

  Overrides:
    `getRemaining` in class `JspWriter`

### isAutoFlush

    public final boolean isAutoFlush()

  Overrides:
    `isAutoFlush` in class `JspWriter`

### clearBody

    public void clearBody()

  Description copied from class: `BodyContent`
  Clears the contents of a body tag.
  Overrides:
    `clearBody` in class `BodyContent`

### getReader

    public java.io.Reader getReader()

  Description copied from class: `BodyContent`
  Returns a Reader for accessing the contents of a body tag.
  Overrides:
    `getReader` in class `BodyContent`

### getString

    public java.lang.String getString()

  Description copied from class: `BodyContent`
  Returns a String representing the contents of a body tag.
  Overrides:
    `getString` in class `BodyContent`

### writeOut

    public void writeOut(java.io.Writer out)
                  throws java.io.IOException

  Description copied from class: `BodyContent`
  Writes the contents to the writer.
  Overrides:
    `writeOut` in class `BodyContent`
  Following copied from class: `javax.servlet.jsp.tagext.BodyContent`
  Parameters:
    `out` - the destination writer .

### release

    public void release()
                 throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD